package com.elab.core.spring.method;

import com.elab.core.sql.config.SqlCommandType;

/**
 * SQL执行触发事件
 *
 * @author ： liukx
 * @time ： 2020/4/29 - 17:26
 */
public interface SQLEventHandler {

    public void sqlInvokeBefore(SqlCommandType sqlCommandType, String sqlId, String table, String sql, Object params);

    public void sqlInvokeAfter(SqlCommandType sqlCommandType, String sqlId, String table, String sql, Object params,
                               Object result);

}
