package com.elab.spring.config.prop;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 线程配置
 *
 * @author ： liukx
 * @time ： 2020/8/14 - 14:19
 */

@ConfigurationProperties(prefix = "elab.thread")
public class ThreadProperties {

    /**
     * 调度间隔时间
     */
    private Integer schedulingIntervalSecond;
    /**
     * 初始化核心线程池大小
     */
    private Integer threadCore;
    /**
     * 实时队列大小
     */
    private Integer realQueueSize;

    public Integer getSchedulingIntervalSecond() {
        return schedulingIntervalSecond;
    }

    public void setSchedulingIntervalSecond(Integer schedulingIntervalSecond) {
        this.schedulingIntervalSecond = schedulingIntervalSecond;
    }

    public Integer getThreadCore() {
        return threadCore;
    }

    public void setThreadCore(Integer threadCore) {
        this.threadCore = threadCore;
    }

    public Integer getRealQueueSize() {
        return realQueueSize;
    }

    public void setRealQueueSize(Integer realQueueSize) {
        this.realQueueSize = realQueueSize;
    }
}
